<?php
/*
Plugin Name: Live Chat by cSupport
Plugin URI: http://www.csupporthq.com/
Description: Live Chat Software by cSupport
Author: Dream Conception
Version: 1.0
Author URI: http://www.dreamconception.com/
*/
function getcSupportLivechat()
{
  echo "";
  $formid=get_option('cSupportLivechat_data');
  $website=get_option('cSupportLivechat_data_website');
  $type=get_option('cSupportLivechat_data_type');
  echo "<!--  cSupport Live chat Plugin 1.0 --><script type='text/javascript' src='http://".$website."/external/".$type.".js'></script>";
}

function addcSupportLivechat()
{
	getcSupportLivechat();
}
add_action('wp_footer', 'addcSupportLivechat');
?><?php

register_activation_hook(__FILE__,'cSupportLivechat_install'); 

register_deactivation_hook( __FILE__, 'cSupportLivechat_remove' );

function cSupportLivechat_install() {

add_option("cSupportLivechat_data_website", '', '', 'yes');
add_option("cSupportLivechat_data_type", '', '', 'yes');
}

function cSupportLivechat_remove() {

delete_option('cSupportLivechat_data_website');
delete_option('cSupportLivechat_data_type');
}
?><?php
if ( is_admin() ){

add_action('admin_menu', 'cSupportLivechat_admin_menu');

function cSupportLivechat_admin_menu() {
add_options_page('cSupport Live Chat Options', 'cSupport Options', 'administrator',
'cSupportLivechat', 'cSupportLivechat_html_page');
}
}
?><?php
function cSupportLivechat_html_page() {
?><div>
<h2>cSupport Live Chat - Options</h2>

<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="cSupportLivechat_data_website, cSupportLivechat_data_type" />

<table width="510" cellpadding=10 cellspacing=10>
	<tr>
		<td colspan="3" style="padding:0 0 15px;">
			<img src="http://csupporthq.com/wp-content/themes/csupport.dk/images/logo.png" height="48px"/>
		</td>
	</tr>
	
	<tr valign="top">
		<th width="92" scope="row" NOWRAP align="left">
			Type:
		</th>
		<td width="406">
			<select name="cSupportLivechat_data_type" id="cSupportLivechat_data_type">
				<option value="chat-float" <?php if (get_option('cSupportLivechat_data_type') == 'chat-float') {printf('selected');}?>>Inline Chat Image</option>
				<option value="chat-float-inline" <?php if (get_option('cSupportLivechat_data_type') == 'chat-float-inline') {printf('selected');}?>>Inline Chat Button</option>
			</select>
		</td>
	</tr>

	<tr valign="top">
		<th width="92" scope="row" NOWRAP align="left">
			Your domain:
		</th>
		<td width="406" NOWRAP>http://www.
			<input name="cSupportLivechat_data_website" type="text" id="cSupportLivechat_data_website"
value="<?php echo get_option('cSupportLivechat_data_website'); ?>" />
		</td>
	</tr>

	<tr>
		<td>
		</td>
		<td colspan='2'>
			<input type="submit" value="<?php _e('Save Changes') ?>" />
		</td>
	</tr>


	<tr valign="top">
		<th width="92" scope="row" NOWRAP></th>
			<td width="100%" style="font-size: 8pt;">
				1. Your domain is your unique chat address, ie. <i>yourdomain.csupporthq.com</i>
			</td><br/>
	</tr>

	<tr>
		<td></td>
		<td style="font-size: 8pt;" colspan="2">
			2. No account? Try a 14-days free trial, <a href="http://csupporthq.com/pricing">http://csupporthq.com/pricing</a>
		</td>
	</tr>
</table>

</form>
</div>
<?php } ?>
